<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportother.MsrAnalyzeMapper">

    <!-- 清除默认考试报告 -->
    <delete id="deleteReportByExamid">
        delete from msr_analyze where examid = #{examid} and atype=0;
    </delete>

    <!--获取默认考试报告-->
    <select id="getAnalyzeByExamid" resultType="com.xhkjedu.smarking.model.report.reportother.MsrAnalyze">
        select * from msr_analyze where examid = #{examid} and atype=0 limit 1;
    </select>

    <!--更改状态-->
    <update id="updateState">
        update msr_analyze set astate = #{astate} where raid = #{raid};
    </update>
</mapper>
